Secrets
Create or replace a secret
PUT
/
v1
/
secrets
/
{name}
Create or replace a secret
curl --request PUT \
--url https://api.veri.studio/v1/secrets/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"scope_host": "<string>",
"scope_path": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/secrets/{name}"
payload = {
"value": "<string>",
"scope_host": "<string>",
"scope_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', scope_host: '<string>', scope_path: '<string>'})
};
fetch('https://api.veri.studio/v1/secrets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scope_host": "<string>",
"scope_path": "<string>"
}Authorizations
Path Parameters
Body
application/json
Create or replace a secret
curl --request PUT \
--url https://api.veri.studio/v1/secrets/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"scope_host": "<string>",
"scope_path": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/secrets/{name}"
payload = {
"value": "<string>",
"scope_host": "<string>",
"scope_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', scope_host: '<string>', scope_path: '<string>'})
};
fetch('https://api.veri.studio/v1/secrets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scope_host": "<string>",
"scope_path": "<string>"
}
